Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Bump version

  • Loading branch information...
commit 5298fc9f17cb2d296c6ba8e6803ed7e966994521 1 parent 6dbf4d8
@romul authored
Showing with 43 additions and 21 deletions.
  1. +2 −3 Rakefile
  2. +1 −1  VERSION
  3. +40 −17 spree_solr_search.gemspec
View
5 Rakefile
@@ -11,8 +11,7 @@ end
require 'rake'
require 'rake/testtask'
#require 'rake/rdoctask'
-require 'rake/packagetask'
-require 'rake/gempackagetask'
+require 'rubygems/package_task'
Jeweler::Tasks.new do |s|
s.name = "spree_solr_search"
@@ -21,7 +20,7 @@ Jeweler::Tasks.new do |s|
s.email = "roman@railsdog.com"
s.homepage = "http://github.com/romul/spree-solr-search"
s.authors = ["Roman Smirnov"]
- s.add_dependency 'spree_core', ['>= 0.30.1']
+ s.add_dependency 'spree_core', ['>= 1.0.0']
s.add_dependency 'acts_as_solr_reloaded', ['>= 1.6.0']
s.has_rdoc = false
#s.extra_rdoc_files = [ "README.rdoc"]
View
2  VERSION
@@ -1 +1 @@
-0.40.3
+1.0.0.rc
View
57 spree_solr_search.gemspec
@@ -1,40 +1,63 @@
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{spree_solr_search}
- s.version = "0.40.3"
+ s.name = "spree_solr_search"
+ s.version = "1.0.0.rc"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["Roman Smirnov"]
- s.date = %q{2011-03-21}
- s.description = %q{Provides search via Apache Solr for a Spree store.}
- s.email = %q{roman@railsdog.com}
+ s.date = "2012-04-02"
+ s.description = "Provides search via Apache Solr for a Spree store."
+ s.email = "roman@railsdog.com"
s.extra_rdoc_files = [
"README.md"
]
- s.files = `git ls-files`.split("\n")
- s.homepage = %q{http://github.com/romul/spree-solr-search}
- s.rdoc_options = ["--charset=UTF-8"]
+ s.files = [
+ "README.md",
+ "Rakefile",
+ "VERSION",
+ "Versionfile",
+ "app/assets/javascripts/store/solr_sort_by.js.coffee",
+ "app/helpers/spree/base_helper_decorator.rb",
+ "app/models/spree/product_decorator.rb",
+ "app/models/spree/solr_search_configuration.rb",
+ "app/overrides/show_search_partials.rb",
+ "app/views/spree/products/_facets.html.erb",
+ "app/views/spree/products/_sort_bar.html.erb",
+ "app/views/spree/products/_suggestion.html.erb",
+ "config/initializers/solr_config.rb",
+ "config/locales/en.yml",
+ "config/locales/ru-RU.yml",
+ "config/locales/ru.yml",
+ "lib/generators/spree_solr_search/install_generator.rb",
+ "lib/generators/templates/solr.yml",
+ "lib/solr_manager.rb",
+ "lib/spree/search/solr.rb",
+ "lib/spree_solr_search.rb",
+ "lib/tasks/acts_as_solr.rake",
+ "lib/websolr_acts_as_solr.rb",
+ "spree_solr_search.gemspec"
+ ]
+ s.homepage = "http://github.com/romul/spree-solr-search"
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.6}
- s.summary = %q{Provides search via Apache Solr for a Spree store.}
+ s.rubygems_version = "1.8.15"
+ s.summary = "Provides search via Apache Solr for a Spree store."
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<spree_core>, [">= 0.30.1"])
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<spree_core>, [">= 1.0.0"])
s.add_runtime_dependency(%q<acts_as_solr_reloaded>, [">= 1.6.0"])
else
- s.add_dependency(%q<spree_core>, [">= 0.30.1"])
+ s.add_dependency(%q<spree_core>, [">= 1.0.0"])
s.add_dependency(%q<acts_as_solr_reloaded>, [">= 1.6.0"])
end
else
- s.add_dependency(%q<spree_core>, [">= 0.30.1"])
+ s.add_dependency(%q<spree_core>, [">= 1.0.0"])
s.add_dependency(%q<acts_as_solr_reloaded>, [">= 1.6.0"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.